Subject: Ports to Other OS.

From: "Edmund J. Sutcliffe" <[email-masked]>
Date: Thu, 3 Nov 1994 10:24:30 +0000

I would be grateful to know if anyone has sucessfully ported netatalk to 
on the the BSD Intel Operating systems such a NetBSD or FreeBSD. If this has
been done could someone let me have the patches to save me the effort of 
doing this from scratch.
	Thanks in advance
	Edmund
	
===============================================================================
Edmund J. Sutcliffe                                   Phone +44 (0)1904 433809
Computing Service,                                    Fax   +44 (0)1904 433740
University of York,
Heslington,                                  Internet Mail: [email-masked]
York, YO1 5DD U.K.

---

From: Mike Willett <[email-masked]>
Date: Thu, 3 Nov 1994 13:16:37 -0700 (MST)

> been done could someone let me have the patches to save me the effort of 
	
	Wesley Craig, author of netatalk has been working on the port
	most of the summer.  I would send a note to him and ask if 
	or where he needs some help, but I thought last I heard he
	was pretty far along on the work.  He had already started the
	port of NetBSD/FreeBSD and then was going to work on BSDI
	once completed.

	--Mike 	

-------------------------------------------------------------------------------
[email-masked]              So much fun, so little time to enjoy it....
-------------------------------------------------------------------------------

---

From: "Mark P. Gooderum" <[email-masked]>
Date: Thu, 3 Nov 1994 14:22:25 +1538425 (CST)

> been done could someone let me have the patches to save me the effort of 

I've asked about this before, and was told it had been done for
NetBSD 0.9 on an earlier version of netatalk.  I asked for those
patches and offered to do the port for the current version of 
netatalk and NetBSD 1.0, but never heard anything back.

I was just getting ready to ask again, so your mail was timely.

I've spent more time trying to get CAP to work then it would have taken to
do the NetBSD support from scratch, so I reallly would like to
see this.  If I don't hear anything back, I guess I'll just
start from scratch.  From my point of view its not too
hard.  (I do BSD kernel work for a living, esp protocol driver
ports and modifications).

If you want to help test, or try the patches on FreeBSD, let me know.

If there is a starting set of patches, or a newer version of netatalk I
should use as the starting point, someone speak up now or hold your peace.
-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Mark P. Gooderum			   USSnail:  Good Creations
Senior Consultant - Operating Systems Group	     3029 Blackstone Ave. So.
  "Working hard to be hardly working..."	     St. Louis Park, MN 55416
EMail:	     [email-masked]		   Voice:    (612) 922-3953
Interactive: [email-masked]	   Fax:	     (612) 922-2676
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~